## cross-gcc-5-armel 25

=== debian/changelog ===
cross-gcc-5-armel (25) unstable; urgency=medium

  * Add multilib build dependencies (when DEB_CROSS_MULTILIB=yes)

 -- Wookey <wookey@debian.org>  Mon, 04 May 2015 22:11:47 +0100

cross-gcc-5-armel (24) unstable; urgency=medium

  * rebuild for 4.9.2-16

    Patch content unchanged, but reorganized to be clearer, match gcc-5
    patches

 -- Dima Kogan <dima@secretsauce.net>  Tue, 05 May 2015 15:49:54 -0700

cross-gcc-5-armel (23) unstable; urgency=medium

  * rebuild for 5.1.1-4

 -- Dima Kogan <dima@secretsauce.net>  Mon, 04 May 2015 11:20:11 -0700

cross-gcc-5-armel (22) unstable; urgency=medium

  * patch update. Building 5.1.1-3 works again

 -- Dima Kogan <dima@secretsauce.net>  Sun, 03 May 2015 14:15:50 -0700

cross-gcc-5-armel (21) unstable; urgency=medium

  * rebuild for 5.1.1-3

 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 May 2015 13:30:38 -0700

cross-gcc-5-armel (20) unstable; urgency=medium

  * Patch update: patch from #774356 now in both gcc-4.9, gcc-5 stack

 -- Dima Kogan <dima@secretsauce.net>  Thu, 30 Apr 2015 13:04:36 -0700

cross-gcc-5-armel (19) unstable; urgency=medium

  * g++ include directories now work with the relocatable paths in debian
    gcc

 -- Dima Kogan <dima@secretsauce.net>  Wed, 29 Apr 2015 20:00:01 -0700

cross-gcc-5-armel (18) unstable; urgency=medium

  * Base gcc version can now come from debian/control if not given in
    environment
  * Looser assumptions on the contents of gcc-xxx-source
  * Update for 4.9.2-13, 5.1.1-2
  * Reverted use of mawk: we still need gawk, and this was ineffective
  * Brought back gxx-include-dir

 -- Dima Kogan <dima@secretsauce.net>  Tue, 28 Apr 2015 17:40:38 -0700

cross-gcc-5-armel (17) experimental; urgency=medium

  * rules.generic now specifies bash as the SHELL (Closes: #780583)
  * I don't generate THIS_PKG_{MAINT,UPLOADERS} unless I need to
  * gensources now attempts to use local cross-gcc-dev if a system
    one isn't found
  * rules.generic now uses mawk instead of awk

 -- Dima Kogan <dima@secretsauce.net>  Sat, 25 Apr 2015 20:15:05 -0700

cross-gcc-5-armel (16) experimental; urgency=medium

  * auto_build_all.sh now takes the default HOST_LIST instead of overriding
  * default is DEB_CROSS_MULTILIB=no

 -- Dima Kogan <dima@secretsauce.net>  Fri, 24 Apr 2015 17:14:34 -0700

cross-gcc-5-armel (15) experimental; urgency=medium

  [ Wookey ]
  * Enable config for multilib/non-multilib builds
  * Build tools for i386 as well  (Closes: #779322)

  [ Dima Kogan ]
  * rebuild for 4.9.2-12, 5-20150404-1
  * building cross-compiler targeting i386
  * fix powerpc multilib stage2 build. (Closes: #774356)
  * cross-gcc-dev Depends lsb-release. gcc builds use this

 -- Wookey <wookey@debian.org>  Tue, 21 Apr 2015 03:49:02 +0100

cross-gcc-5-armel (14) unstable; urgency=medium

  * Add missing realpath dependency (Closes: #782542)

 -- Wookey <wookey@debian.org>  Wed, 15 Apr 2015 18:14:48 +0100

cross-gcc-5-armel (13) unstable; urgency=medium

  * Supporting multiple gcc trees at the same time. Currently 4.9 and 5

    - All tools accept the requested version on the commandline
    - Patch series shipped in /usr/share/cross-gcc/patches/gcc-$ver

  * Included gcc-5 patches apply to 5-20150127-1

 -- Dima Kogan <dima@secretsauce.net>  Tue, 27 Jan 2015 22:14:59 -0800

cross-gcc-5-armel (12) unstable; urgency=medium

  * Imported Helmut Grohne's fix for #774010

 -- Dima Kogan <dima@secretsauce.net>  Wed, 14 Jan 2015 01:08:58 -0800

cross-gcc-5-armel (11) unstable; urgency=medium

  * rebuild for 4.9.2-10

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Fri, 26 Dec 2014 22:20:26 -0800

cross-gcc-5-armel (10) unstable; urgency=medium

  * rebuild for 4.9.2-9

 -- Dima Kogan <dima@secretsauce.net>  Sat, 20 Dec 2014 11:17:25 -0800

cross-gcc-5-armel (9) experimental; urgency=medium

  * reworked packaging

 -- Dima Kogan <dima@secretsauce.net>  Thu, 18 Dec 2014 22:24:35 -0800

cross-gcc-5-armel (8) experimental; urgency=low

  * Use of dpkg features instead of seddery in rules
  * Use dpkg-dev instead of lsb_release
  * Drop build-deps which are essential

 -- Wookey <wookey@debian.org>  Tue, 16 Dec 2014 21:01:37 +0000

cross-gcc-5-armel (7) experimental; urgency=low

  * Move generic patches into common directory

 -- Wookey <wookey@debian.org>  Sun, 07 Dec 2014 16:51:04 +0000

cross-gcc-5-armel (6) experimental; urgency=low

  * Refactor into cross-gcc-dev binary package to generate sources

 -- Wookey <wookey@debian.org>  Tue, 02 Dec 2014 03:29:04 +0000

cross-gcc-5-armel (5) unstable; urgency=low

  * rebuild for 4.9.2-4
  * Patched to revert removal of with_deps_on_target_arch_pkgs

 -- wookey <wookey@debian.org>  Sun, 30 Nov 2014 03:33:09 +0000

cross-gcc-5-armel (4) unstable; urgency=low

  * Update build scripts to allow alternate build arch

 -- wookey <wookey@debian.org>  Fri, 28 Nov 2014 01:07:00 +0000

cross-gcc-5-armel (3) unstable; urgency=low

  * rebuild for 4.9.2-3

 -- wookey <wookey@debian.org>  Wed, 26 Nov 2014 18:30:35 +0000

cross-gcc-5-armel (2) unstable; urgency=low

  * Ensure dependency on libgcc1:arch is exact version match
  * rebuild for 4.9.2-2

 -- wookey <wookey@debian.org>  Wed, 19 Nov 2014 17:02:12 +0000

cross-gcc-5-armel (1.0) unstable; urgency=low

  * Updated patches for 4.9.2
  * Clarify descriptions for cross-gcc and cross-gcc-defaults
  * Re-enable powerpc

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-5-armel (0.9) unstable; urgency=low

  * Make gcc-4.9-source build-dep versioned as patches have to match

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-5-armel (0.8) unstable; urgency=low

  * Adjust patches and rebuild for 4.9.1-19

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-5-armel (0.7) unstable; urgency=high

  * Use whichever dpkg-buildpackage target-arch setting mechanism
    is available. Aids backporting.


